
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; Z</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="glossary.html#term-zen-of-python"><strong>Zen of Python</strong></a>
  </dt>

      
  <dt><a href="library/exceptions.html#ZeroDivisionError">ZeroDivisionError</a>
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-51">exception</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/stdtypes.html#bytearray.zfill">zfill() (bytearray method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#bytes.zfill">(bytes method)</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#str.zfill">(str method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/2to3.html#2to3fixer-zip">zip (2to3 fixer)</a>
  </dt>

      
  <dt><a href="library/functions.html#zip">zip() (built-in function)</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.ZIP_BZIP2">ZIP_BZIP2 (in module zipfile)</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.ZIP_DEFLATED">ZIP_DEFLATED (in module zipfile)</a>
  </dt>

      
  <dt><a href="library/itertools.html#itertools.zip_longest">zip_longest() (in module itertools)</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.ZIP_LZMA">ZIP_LZMA (in module zipfile)</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.ZIP_STORED">ZIP_STORED (in module zipfile)</a>
  </dt>

      
  <dt><a href="library/zipapp.html#module-zipapp">zipapp (module)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt>
    zipapp command line option
  </dt>

      <dd><dl>
        
  <dt><a href="library/zipapp.html#cmdoption-zipapp--info">--info</a>
  </dt>

        
  <dt><a href="library/zipapp.html#cmdoption-zipapp-h">-h, --help</a>
  </dt>

        
  <dt><a href="library/zipapp.html#cmdoption-zipapp-m">-m &lt;mainfn&gt;, --main=&lt;mainfn&gt;</a>
  </dt>

        
  <dt><a href="library/zipapp.html#cmdoption-zipapp-o">-o &lt;output&gt;, --output=&lt;output&gt;</a>
  </dt>

        
  <dt><a href="library/zipapp.html#cmdoption-zipapp-p">-p &lt;interpreter&gt;, --python=&lt;interpreter&gt;</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/zipfile.html#zipfile.ZipFile">ZipFile (class in zipfile)</a>
  </dt>

      
  <dt><a href="library/zipfile.html#module-zipfile">zipfile (module)</a>
  </dt>

      
  <dt><a href="library/zipimport.html#module-zipimport">zipimport (module)</a>
  </dt>

      
  <dt><a href="library/zipimport.html#zipimport.zipimporter">zipimporter (class in zipimport)</a>
  </dt>

      
  <dt><a href="library/zipimport.html#zipimport.ZipImportError">ZipImportError</a>
  </dt>

      
  <dt><a href="library/zipfile.html#zipfile.ZipInfo">ZipInfo (class in zipfile)</a>
  </dt>

      
  <dt><a href="library/zlib.html#module-zlib">zlib (module)</a>
  </dt>

      
  <dt><a href="library/zlib.html#zlib.ZLIB_RUNTIME_VERSION">ZLIB_RUNTIME_VERSION (in module zlib)</a>
  </dt>

      
  <dt><a href="library/zlib.html#zlib.ZLIB_VERSION">ZLIB_VERSION (in module zlib)</a>
  </dt>

  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="genindex-B.html"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="genindex-D.html"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="genindex-J.html"><strong>J</strong></a>
     | <a href="genindex-K.html"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="genindex-O.html"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="genindex-W.html"><strong>W</strong></a>
     | <a href="genindex-X.html"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="#"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>